# Class BoxObservationsResponse

Namespace
  adas_core.Domain.Models.Responses

Assembly
  adas-core.Domain.dll

Represents a response containing a collection of observations related to a box.

    public class BoxObservationsResponse

Inheritance
  object
  BoxObservationsResponse

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Fields

### Medication

    public List<Medication> Medication

#### Field Value

List<Medication>

### Observations

    public Dictionary<string, Observation> Observations

#### Field Value

Dictionary<string, Observation>

## Properties

### HasPatient

    public bool? HasPatient { get; set; }

#### Property Value

bool?

### Id

    public string? Id { get; set; }

#### Property Value

string

### IsVisible

    public bool? IsVisible { get; set; }

#### Property Value

bool?

### Stream

    public string? Stream { get; set; }

#### Property Value

string